	$(document).ready(function(){
		var seq = 0;
		var len = 0;
		var count = 1;
		var album = new Array();
		var link = new Array();
		var des = new Array();
		var aid = "0";
		
		$(document).on("change", "#uploading-files", function(){
			if ($("#uploading-files").val() != "") {
				if ($(".btn-acceptx-postingx-images").is(":hidden")) {
					var  html = '<div><input class="images-posting-albumnamex" type="text" placeholder="Tên album"/></div><div class="albumphotoshow"></div>';
					$('.main-show-albumphoto').html(html);
				}
				album = new Array();
				link = new Array();
				des = new Array();
				count = 1;
				myList();
				$(".btn-acceptx-postingx-images-cancel").fadeIn();
				$(".btn-acceptx-postingx-images").fadeIn();
				$(".images-posting-albumnamex").fadeIn();
			}
		});
		
		// Cancel upload
		$(document).on("click", ".btn-acceptx-postingx-images-cancel", function(){
			document.location.href = "";
		});
		
		// Accept upload
		$(document).on("click", ".btn-acceptx-postingx-images", function(){
			$(".zMxm7c").each(function(){
				album.push($(".images-posting-albumnamex").val());
				link.push($(this).find(".tDMXke").attr("src"));
				des.push($(this).find(".onSq9d").text());
			});
			
			if (album.length > 0) {
				//Init
				$.ajax({
					type: "POST",
					url: "ajaxcreatealbumdata",
					data: "albumname=" + album[0] + "&linkre=" + link[0] + "&desre=" + des[0],
					success: function(res){
						aid = res;
						if (count < album.length) {
							uploadDequi(aid, album[count], link[count], des[count]);
						} else {
							document.location.href = "";
						}
					}
				});
			}
		});
		
		function uploadDequi(idx, albumx, linkx, desx){
			$.ajax({
				type: "POST",
				url: "ajaxcreatealbumdata",
				data: "id=" + idx + "&albumname=" + albumx + "&linkre=" + linkx + "&desre=" + desx,
				success: function(res){
					count++;
					if (count < album.length) {
						uploadDequi(aid, album[count], link[count], des[count]);
					} else {
						document.location.href = "";
					}
				}
			});
		}
		
		// Vẽ giao diện danh sách tệp tin được upload
		function myList(){
			seq = 0;
			len = $('#uploading-files')[0].files.length;
			myQueue(); // Gọi hàm
		}
		
		// Hàng đợi những tên tin được upload
		function myQueue(){
			var formData = new FormData(); // Đối tượng này sẽ chứa toàn bộ giá trị của các tệp tin được upload
			if (seq < len) {
				formData.append('file', $('#uploading-files')[0].files[seq]);
				upload(formData); // Gọi hàm
			}
		}
		
		// Upload
		function upload(formData){
		    $.ajax({
		        url: 'Upload?filename=' + $('#uploading-files')[0].files[seq].name,
		        type: 'POST',
		        xhr: function() {
		            myXhr = $.ajaxSettings.xhr();
		            if(myXhr.upload){
		                myXhr.upload.addEventListener('progress', progressHandlingFunction, false);
		            }
		            return myXhr;
		        },
		        success: function(data, status, xhr) {
		        	insertImage(xhr.responseText);
		        	seq++;
		        	myQueue(); // Gọi hàm - Đệ qui
		        },
		        data: formData,
		        cache: false,
		        contentType: false,
		        processData: false
		    });
		}
		
		// Tính % kích thước đã đc upload, lấy link tải về
		function progressHandlingFunction(e){
	    	if(e.lengthComputable){
		    	var per = ((e.loaded / e.total) * 100) + "%";
		        if (per == "100%") {
		        	//
		        }
	   		}
		}
		
		$(document).on("click", ".zMxm7c", function(){
			$(this).find(".onSq9d").focus();
		});
		
		// Vẽ giao diện - danh sách tệp tin được upload
		 function insertImage(image){
		     	var html = '<a class="my-uploadx-imagex" tabindex="0" style="width:164px; height:158px; top: 0px; left: 0px; margin: 10px;">';
		     	html += '<div class="zMxm7c" style="cursor: pointer;">';
		     	html += '<img src="images/upload/' + image + '" class="tDMXke" style="width: 164px; height: 110px; margin-top: 0px; margin-left: 0px;" alt="Ảnh" />';
		   		html += '<div class="y761Rd k83ZBc E2BdXb" style="height: 48px;">';
				html += '<div contenteditable="true" style="color: dimgray; outline-color: rgba(59,89,152, 0.8); height: 43px; overflow-y: auto;" class="onSq9d">Mô tả của bạn</div>';
				html += '</div>';
				html += ' </div></a>';
				$(".albumphotoshow").append(html).children("a:last").hide().fadeIn(1000);
			 }
	});